Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-4386627

Caldera OpenLinux 2.3 Japanese edition, Java does not work.

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P1
    • Resolution: Won't Fix
    • Affects Version/s: 1.3.1
    • Fix Version/s: None
    • Component/s: hotspot
    • Subcomponent:
    • CPU:
      x86
    • OS:
      linux

      Description


      Caldera OpenLinux 2.3 Japanese edition:
      java does not work with ladybird.
      glibc version of OpenLinux 2.3J is libc-2.1.1, Jdk1.3 supports libc-2.1.2 or higher.
      In Caldera Japan is not planning to update of OpenLinux 2.3J at this time.

      In Caldera Japan(Nihon SCO: http://www.openlinux.ne.jp/),
      there is another business package OpenLinux eServer2.3 Japanese edition
      which glibc version of this edition is libc-2.1.2.

      There is no Japanese OpenLinux products except above.



      --- displayed message with excute java on OpenLinux2.3J.
      # ./java -version
      /usr/jdk1.3.1/bin/i386/native_threads/java: error in loading shared libraries: /usr/jdk1.3.1/jre/lib/i386/native_threads/libhpi.so: symbol sem_init, version GLIBC_2.1 not defined in file libpthread.so.0 with link time reference
       
      --- libpthread version on OpenLinux2.3J.
      # ls -l /lib/libpthread.so.0
      lrwxrwxrwx 1 root root 17 Nov 7 2000 /lib/libpthread.so.0 -> libpthread-0.8.so

      --- glibc version on OpenLinux2.3J.
      # ls /lib/libc-*
      /lib/libc-2.1.1.so




                   
                  

        Attachments

          Activity

            People

            Assignee:
            shuwu Shuna Wu (Inactive)
            Reporter:
            kkichisunw Kichi Kichi (Inactive)
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:
              Imported:
              Indexed: